Subject: Re: f2c-960717-0 uploaded to master

From: [email-masked]
Date: Tue, 30 Jul 96 22:13 EDT

[I redirected this to the debian-devel list.]

  NS>  This is somewhat of a tangent but: I notice that you say f2c is
  NS> recommended over g77. I seem to recall references to benchmarks for
  NS> lapack that show g77 to be about twice as fast as f2c so I wonder just
  NS> how unstable g77 is considered to be.  

Actually, I didn't write that statement. Alan Bain did, and is the real f2c
maintainer, but currently on vacation. Note, though, that the current g77
documentation is a bit ambivalent as to whether f2c/gcc or g77 would be
faster. 

Could you provide a reference to these benchmarks, and the compiler settings
they used? Or better yet, even run them?  I don't really use fortran myself,
but link some of my C++ code with Fortran libraries that other folks have
done. But I could do with a speedup of factor 2 ...

--
Dirk Eddelb"uttel                             http://qed.econ.queensu.ca/~edd